Up

# NSDateIntervalFormatter class documentation

### Authors

Generated by Debian

# Software documentation for the NSDateIntervalFormatter class

## NSDateIntervalFormatter : NSFormatter

> Declared in:
>   Foundation/NSDateIntervalFormatter.h

Availability: Not in OpenStep/MacOS-X
Description forthcoming.

Instance Variables
Method summary

- -calendar
- -dateStyle
- -dateTemplate
- -locale
- -setCalendar:
- -setDateStyle:
- -setDateTemplate:
- -setLocale:
- -setTimeStyle:
- -setTimeZone:
- -stringFromDate:toDate:
- -stringFromDateInterval:
- -timeStyle
- -timeZone

### calendar

- (NSCalendar*) calendar;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### dateStyle

- (NSDateIntervalFormatterStyle) dateStyle;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### dateTemplate

- (NSString*) dateTemplate;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### locale

- (NSLocale*) locale;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setCalendar:

- (void) setCalendar: (NSCalendar*)calendar;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setDateStyle:

- (void) setDateStyle: (NSDateIntervalFormatterStyle)dateStyle;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setDateTemplate:

- (void) setDateTemplate: (NSString*)dateTemplate;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setLocale:

- (void) setLocale: (NSLocale*)locale;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setTimeStyle:

- (void) setTimeStyle: (NSDateIntervalFormatterStyle)timeStyle;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setTimeZone:

- (void) setTimeZone: (NSTimeZone*)timeZone;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### stringFromDate: toDate:

- (NSString*) stringFromDate: (NSDate*)fromDate toDate: (NSDate*)toDate;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### stringFromDateInterval:

- (NSString*) stringFromDateInterval: (NSDateInterval*)dateInterval;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### timeStyle

- (NSDateIntervalFormatterStyle) timeStyle;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### timeZone

- (NSTimeZone*) timeZone;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

## Instance Variables for NSDateIntervalFormatter Class

### _calendar

@protected NSCalendar* _calendar;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dateStyle

@protected NSDateIntervalFormatterStyle _dateStyle;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dateTemplate

@protected NSString* _dateTemplate;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _locale

@protected NSLocale* _locale;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _timeStyle

@protected NSDateIntervalFormatterStyle _timeStyle;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _timeZone

@protected NSTimeZone* _timeZone;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up